All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
PSNMPVarBindingList Class Reference

A list of object IDs and their values. More...

`#include <psnmp.h>`

Inheritance diagram for PSNMPVarBindingList:

## Public Member Functions

void | Append (const PString &objectID)
void | Append (const PString &objectID, PASNObject *obj)
void | AppendString (const PString &objectID, const PString &str)
void | RemoveAll ()
PINDEX | GetSize () const
PINDEX | GetIndex (const PString &objectID) const
PString | GetObjectID (PINDEX idx) const
PASNObject & | operator[] (PINDEX idx) const
void | PrintOn (ostream &strm) const
| Output the contents of the object to the stream. More...
Public Member Functions inherited from PObject
virtual | ~PObject ()
virtual PObject * | Clone () const
| Create a copy of the class on the heap. More...
virtual PINDEX | HashFunction () const
| This function yields a hash value required by the `PDictionary` class. More...
virtual const char * | GetClass (unsigned ancestor=0) const
| Get the current dynamic type of the object instance. More...
PBoolean | IsClass (const char *cls) const
virtual PBoolean | InternalIsDescendant (const char *clsName) const
| Determine if the dynamic type of the current instance is a descendent of the specified class. More...
virtual Comparison | Compare (const PObject &obj) const
| Compare the two objects and return their relative rank. More...
virtual Comparison | CompareObjectMemoryDirect (const PObject &obj) const
| Determine the byte wise comparison of two objects. More...
bool | operator== (const PObject &obj) const
| Compare the two objects. More...
bool | operator!= (const PObject &obj) const
| Compare the two objects. More...
bool | operator< (const PObject &obj) const
| Compare the two objects. More...
bool | operator> (const PObject &obj) const
| Compare the two objects. More...
bool | operator<= (const PObject &obj) const
| Compare the two objects. More...
bool | operator>= (const PObject &obj) const
| Compare the two objects. More...
virtual void | ReadFrom (istream &strm)
| Input the contents of the object from the stream. More...

## Protected Attributes

PStringArray | objectIds
PASNObjectArray | values

## Additional Inherited Members

Public Types inherited from PObject
enum | Comparison { LessThan = -1, EqualTo = 0, GreaterThan = 1 }
| Result of the comparison operation performed by the `Compare()` function. More...
Static Public Member Functions inherited from PObject
static const char * | Class ()
| Get the name of the class as a C string. More...
static Comparison | InternalCompareObjectMemoryDirect (const PObject *obj1, const PObject *obj2, PINDEX size)
| Internal function caled from CompareObjectMemoryDirect() More...
Protected Member Functions inherited from PObject
| PObject ()
| Constructor for PObject, made protected so cannot ever create one on its own. More...

## Detailed Description

A list of object IDs and their values.

## Member Function Documentation

void PSNMPVarBindingList::Append | ( | const PString & | objectID | ) |

void PSNMPVarBindingList::Append | ( | const PString & | objectID,
|  | PASNObject * | obj
| ) |  |

void PSNMPVarBindingList::AppendString | ( | const PString & | objectID,
|  | const PString & | str
| ) |  |

PINDEX PSNMPVarBindingList::GetIndex | ( | const PString & | objectID | ) | const

PString PSNMPVarBindingList::GetObjectID | ( | PINDEX | idx | ) | const

PINDEX PSNMPVarBindingList::GetSize | ( |  | ) | const

PASNObject& PSNMPVarBindingList::operator[] | ( | PINDEX | idx | ) | const

void PSNMPVarBindingList::PrintOn | ( | ostream & | strm | ) | const

virtual

Output the contents of the object to the stream.

The exact output is dependent on the exact semantics of the descendent class. This is primarily used by the standard `operator<<` function.

The default behaviour is to print the class name.

Reimplemented from PObject.

void PSNMPVarBindingList::RemoveAll | ( |  | ) |

## Member Data Documentation

PStringArray PSNMPVarBindingList::objectIds

protected

PASNObjectArray PSNMPVarBindingList::values

protected

The documentation for this class was generated from the following file:

- psnmp.h